#!/usr/bin/python

import bsddb
import re

DB = '/org/qa.debian.org/data/mole/db/dscfiles-control.moledb'

db = bsddb.btopen(DB, "r")

re_pkg = re.compile(r"^Package:\s+(\S+)\s*$", re.M)
re_tag = re.compile(r"^Tag: +([^\n]+?)(?:,|\s)*$", re.M)

for k, v in db.iteritems():
	m_pkg = re_pkg.search(v)
	if not m_pkg: continue
	m_tag = re_tag.search(v)
	if not m_tag: continue
	print "%s: %s" % (m_pkg.groups()[0], m_tag.groups()[0])
