my $in = IO::File->new($log);
my $reader = Debbugs::Log->new($in);

my $lastrec = undef;
while (my $rec = $reader->read_record()) {
	$lastrec = $rec if $rec->{type} eq 'incoming-recv';
}

die "No incoming-recv records found" if not defined $lastrec;
$in->close();

open (IN, "<", \$lastrec->{text});
my $h = Mail::Header->new(\*IN);
my $from = $h->get("From");
close(IN);

die "No From address in the last mail" if not defined $from;

for my $f (Mail::Address->parse($from)) {
	print $f->address(), "\n";
}

exit 0;
